Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class DataAdaptorIterationState

    java.lang.Object
      org.richfaces.component.DataAdaptorIterationState

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public final class DataAdaptorIterationState

extends Object
implements javax.faces.component.StateHolder

Constructor Summary
`DataAdaptorIterationState()`
`DataAdaptorIterationState(org.ajax4jsf.model.DataComponentState componentState, org.ajax4jsf.model.ExtendedDataModel<?> dataModel)`

Method Summary
`org.ajax4jsf.model.DataComponentState` | `getComponentState()`
`org.ajax4jsf.model.ExtendedDataModel<?>` | `getDataModel()`
`boolean` | `isTransient()`
`void` | `restoreComponentState(UIDataAdaptor uiDataAdaptor)`
`void` | `restoreState(javax.faces.context.FacesContext context, Object stateObject)`
`Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setTransient(boolean newTransientValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataAdaptorIterationState

    public DataAdaptorIterationState()

### DataAdaptorIterationState

    public DataAdaptorIterationState(org.ajax4jsf.model.DataComponentState componentState,
                                     org.ajax4jsf.model.ExtendedDataModel<?> dataModel)

Method Detail

### getDataModel

    public org.ajax4jsf.model.ExtendedDataModel<?> getDataModel()

### getComponentState

    public org.ajax4jsf.model.DataComponentState getComponentState()

### restoreComponentState

    public void restoreComponentState(UIDataAdaptor uiDataAdaptor)

  Parameters:
    `uiDataAdaptor` -

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object stateObject)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.